ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robert Nettleton (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-7835) Blueprints exports fail after an upgrade from Ambari 1.6 to 1.7.0
Date Fri, 17 Oct 2014 19:53:34 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-7835?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Robert Nettleton updated AMBARI-7835:
-------------------------------------
    Attachment: AMBARI-7835.patch
                AMBARI-7835_1.7.0.patch

> Blueprints exports fail after an upgrade from Ambari 1.6 to 1.7.0
> -----------------------------------------------------------------
>
>                 Key: AMBARI-7835
>                 URL: https://issues.apache.org/jira/browse/AMBARI-7835
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 1.7.0
>            Reporter: Robert Nettleton
>            Assignee: Robert Nettleton
>             Fix For: 1.7.0
>
>         Attachments: AMBARI-7835.patch, AMBARI-7835_1.7.0.patch
>
>
> Exporting a Blueprint from a running cluster after an upgrade from Ambari 1.6 to 1.7.0
currently fails.  
> The REST API reports a server failure, and the ambari-server.log indicates that a NullPointerException
occurs:
> java.lang.NullPointerException
> 	at org.apache.ambari.server.api.query.render.ClusterBlueprintRenderer$Configuration.stripRequiredProperties(ClusterBlueprintRenderer.java:594)
> 	at org.apache.ambari.server.api.query.render.ClusterBlueprintRenderer$Configuration.<init>(ClusterBlueprintRenderer.java:541)
> 	at org.apache.ambari.server.api.query.render.ClusterBlueprintRenderer.processConfigurations(ClusterBlueprintRenderer.java:210)
> 	at org.apache.ambari.server.api.query.render.ClusterBlueprintRenderer.createBlueprintResource(ClusterBlueprintRenderer.java:158)
> 	at org.apache.ambari.server.api.query.render.ClusterBlueprintRenderer.finalizeResult(ClusterBlueprintRenderer.java:120)
> 	at org.apache.ambari.server.api.query.QueryImpl.getResult(QueryImpl.java:731)
> 	at org.apache.ambari.server.api.query.QueryImpl.execute(QueryImpl.java:197)
> 	at org.apache.ambari.server.api.handlers.ReadHandler.handleRequest(ReadHandler.java:68)
> 	at org.apache.ambari.server.api.services.BaseRequest.process(BaseRequest.java:135)
> 	at org.apache.ambari.server.api.services.BaseService.handleRequest(BaseService.java:103)
> 	at org.apache.ambari.server.api.services.BaseService.handleRequest(BaseService.java:72)
> 	at org.apache.ambari.server.api.services.ClusterService.getCluster(ClusterService.java:81)
> This exception only seems to occur in the following scenario:
> 1. Install Ambari 1.6
> 2. Start an HDP cluster (2.1, others may also cause this) using the Ambari UI. 
> 3. Upgrade Ambari to v1.7.0. 
> 4. Attempt to export a Blueprint based on the cluster, and this will cause the exception.
> The Blueprint configuration processor is currently failing to process certain "emtpy"
configuration elements that the Ambari UI adds in Ambari 1.6 but does not add in newer versions
of the code.  
> The Blueprint configuration processor should be updated to handle empty configuration
groups, which are valid in Ambari.  
> I'm working on a fix for this, and will be submitting a patch shortly. 



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message